#include "matrix.hlsl"
#include "inout.hlsl"

PIT_LINE Line_VS(VIT_LINE input)
{
	PIT_LINE output;

	input.position.w = 1.0f;
    output.position = mul(input.position, worldMatrix);
    output.position = mul(output.position, viewMatrix);
    output.position = mul(output.position, projectionMatrix);

	output.color = input.color;

	return output;
}